Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 588632 - [abrt] crash in terminator-0.93-1.fc12: prefseditor.py:1244:set_layout_item:KeyError: None
Summary: [abrt] crash in terminator-0.93-1.fc12: prefseditor.py:1244:set_layout_item:K...
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: terminator
Version: 12
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
Assignee: Dominic Hopf
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:41a89634
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-04 07:02 UTC by Pau Aliagas
Modified: 2010-07-16 21:22 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-07-16 21:22:52 UTC
Type: ---


Attachments (Terms of Use)

Description Pau Aliagas 2010-05-04 07:02:37 UTC
abrt 1.0.9 detected a crash.

architecture: x86_64
cmdline: /usr/bin/python /usr/bin/terminator --sm-client-id 10d5ea1b9820ebaf5d126830835521704800000031020074 --screen 0 --geometry=1920x1170+0+1 --sm-client-id 10d5ea1b9820ebaf5d126830835521704800000031020074 --sm-client-id 10d5ea1b9820ebaf5d126830835521704800000031020074 --sm-client-id 10d5ea1b9820ebaf5d126830835521704800000031020074 --maximise
component: terminator
executable: /usr/bin/terminator
kernel: 2.6.32.12-114.fc12.x86_64
package: terminator-0.93-1.fc12
reason: prefseditor.py:1244:set_layout_item:KeyError: None
release: Fedora release 12 (Constantine)

backtrace
-----
prefseditor.py:1244:set_layout_item:KeyError: None

Traceback (most recent call last):
  File "/usr/lib/python2.6/site-packages/terminatorlib/prefseditor.py", line 1012, in on_layout_item_selection_changed
    self.layouteditor.on_layout_item_selection_changed(selection)
  File "/usr/lib/python2.6/site-packages/terminatorlib/prefseditor.py", line 1222, in on_layout_item_selection_changed
    self.set_layout_item(item)
  File "/usr/lib/python2.6/site-packages/terminatorlib/prefseditor.py", line 1244, in set_layout_item
    chooser.set_active(self.profile_profile_to_ids[layout_item['profile']])
KeyError: None

Local variables in innermost frame:
layout: {'child1': {'profile': None, 'type': 'Terminal', 'parent': 'window0'}, 'window0': {'type': 'Window', 'parent': ''}}
item_name: 'child1'
self: <terminatorlib.prefseditor.LayoutEditor instance at 0x2cc3b90>
chooser: <gtk.ComboBox object at 0x2cbe140 (GtkComboBox at 0x2f7eb10)>
command: <gtk.Entry object at 0x2cbdfa0 (GtkEntry at 0x2c58e40)>
layout_item: {'profile': None, 'type': 'Terminal', 'parent': 'window0'}

Comment 1 Dominic Hopf 2010-05-07 17:19:40 UTC
Hi Pau,
thanks very much for reporting the issue. Can you remember what you did when this crash occurred or is it possible for you to describe how to reproduce the issue?

Regards,
Dominic


Note You need to log in before you can comment on or make changes to this bug.